#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rdma_event_msg, "", "");
KSYMTAB_FUNC(rdma_reject_msg, "", "");
KSYMTAB_FUNC(rdma_consumer_reject_data, "", "");
KSYMTAB_FUNC(rdma_iw_cm_id, "", "");
KSYMTAB_FUNC(rdma_res_to_id, "", "");
KSYMTAB_FUNC(__rdma_create_kernel_id, "", "");
KSYMTAB_FUNC(rdma_create_user_id, "", "");
KSYMTAB_FUNC(rdma_create_qp, "", "");
KSYMTAB_FUNC(rdma_destroy_qp, "", "");
KSYMTAB_FUNC(rdma_init_qp_attr, "", "");
KSYMTAB_FUNC(rdma_destroy_id, "", "");
KSYMTAB_FUNC(rdma_get_service_id, "", "");
KSYMTAB_FUNC(rdma_read_gids, "", "");
KSYMTAB_FUNC(rdma_set_service_type, "", "");
KSYMTAB_FUNC(rdma_set_ack_timeout, "", "");
KSYMTAB_FUNC(rdma_set_min_rnr_timer, "", "");
KSYMTAB_FUNC(rdma_set_ib_path, "", "");
KSYMTAB_FUNC(rdma_resolve_route, "", "");
KSYMTAB_FUNC(rdma_set_reuseaddr, "", "");
KSYMTAB_FUNC(rdma_set_afonly, "", "");
KSYMTAB_FUNC(rdma_listen, "", "");
KSYMTAB_FUNC(rdma_resolve_addr, "", "");
KSYMTAB_FUNC(rdma_bind_addr, "", "");
KSYMTAB_FUNC(rdma_connect_locked, "", "");
KSYMTAB_FUNC(rdma_connect, "", "");
KSYMTAB_FUNC(rdma_connect_ece, "", "");
KSYMTAB_FUNC(rdma_accept, "", "");
KSYMTAB_FUNC(rdma_accept_ece, "", "");
KSYMTAB_FUNC(rdma_lock_handler, "", "");
KSYMTAB_FUNC(rdma_unlock_handler, "", "");
KSYMTAB_FUNC(rdma_notify, "", "");
KSYMTAB_FUNC(rdma_reject, "", "");
KSYMTAB_FUNC(rdma_disconnect, "", "");
KSYMTAB_FUNC(rdma_join_multicast, "", "");
KSYMTAB_FUNC(rdma_leave_multicast, "", "");

SYMBOL_CRC(rdma_event_msg, 0x907df803, "");
SYMBOL_CRC(rdma_reject_msg, 0x64d704a1, "");
SYMBOL_CRC(rdma_consumer_reject_data, 0xd0aac095, "");
SYMBOL_CRC(rdma_iw_cm_id, 0x2a661bb5, "");
SYMBOL_CRC(rdma_res_to_id, 0x3039dbe0, "");
SYMBOL_CRC(__rdma_create_kernel_id, 0xbf83193d, "");
SYMBOL_CRC(rdma_create_user_id, 0xf83830f9, "");
SYMBOL_CRC(rdma_create_qp, 0xf37ea409, "");
SYMBOL_CRC(rdma_destroy_qp, 0xf38665a9, "");
SYMBOL_CRC(rdma_init_qp_attr, 0x94575429, "");
SYMBOL_CRC(rdma_destroy_id, 0x04c7292a, "");
SYMBOL_CRC(rdma_get_service_id, 0x9bd24a39, "");
SYMBOL_CRC(rdma_read_gids, 0xc625472d, "");
SYMBOL_CRC(rdma_set_service_type, 0x16374ccb, "");
SYMBOL_CRC(rdma_set_ack_timeout, 0x1eb187d7, "");
SYMBOL_CRC(rdma_set_min_rnr_timer, 0x40b42e2c, "");
SYMBOL_CRC(rdma_set_ib_path, 0x181fb588, "");
SYMBOL_CRC(rdma_resolve_route, 0xf2aa541f, "");
SYMBOL_CRC(rdma_set_reuseaddr, 0xf34cbc5a, "");
SYMBOL_CRC(rdma_set_afonly, 0x24e6bbe5, "");
SYMBOL_CRC(rdma_listen, 0x3138638b, "");
SYMBOL_CRC(rdma_resolve_addr, 0x23f04223, "");
SYMBOL_CRC(rdma_bind_addr, 0x15d52369, "");
SYMBOL_CRC(rdma_connect_locked, 0x68d9dfc9, "");
SYMBOL_CRC(rdma_connect, 0x7c9f8eae, "");
SYMBOL_CRC(rdma_connect_ece, 0x411f3ec2, "");
SYMBOL_CRC(rdma_accept, 0x1d6e19b0, "");
SYMBOL_CRC(rdma_accept_ece, 0xbac9135d, "");
SYMBOL_CRC(rdma_lock_handler, 0x66160c60, "");
SYMBOL_CRC(rdma_unlock_handler, 0xbb72cad1, "");
SYMBOL_CRC(rdma_notify, 0x4f46bb10, "");
SYMBOL_CRC(rdma_reject, 0xe2ce2a3a, "");
SYMBOL_CRC(rdma_disconnect, 0xae3ecac9, "");
SYMBOL_CRC(rdma_join_multicast, 0x27f81b86, "");
SYMBOL_CRC(rdma_leave_multicast, 0x01a0c246, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4edf33cf, "ib_send_cm_sidr_req" },
	{ 0x55bb02f3, "ib_cache_gid_type_str" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x764e266, "iw_create_cm_id" },
	{ 0x2fd4583f, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xb425be44, "ib_unregister_client" },
	{ 0x4ec64a35, "netdev_walk_all_lower_dev_rcu" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xed6144da, "ib_send_cm_sidr_rep" },
	{ 0xcad54ee8, "bpf_trace_run4" },
	{ 0xe1ea41f4, "config_group_init" },
	{ 0xc9c8ec2b, "ib_init_ah_attr_from_path" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x24b76eb4, "rdma_find_gid_by_port" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x13c4a50d, "trace_raw_output_prep" },
	{ 0x6dd05602, "ib_cm_insert_listen" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0x93be5a49, "trace_event_printf" },
	{ 0x9573ffe4, "ib_sa_register_client" },
	{ 0xd169c69c, "trace_event_raw_init" },
	{ 0xabe1431b, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x6f40d147, "rdma_query_gid" },
	{ 0xe04dfb1b, "rt6_lookup" },
	{ 0x4789efc1, "rdma_translate_ip" },
	{ 0x777393bd, "bpf_trace_run2" },
	{ 0x6bf0bc5b, "event_triggers_call" },
	{ 0x4ec87b9, "rdma_dev_access_netns" },
	{ 0x22e16715, "fib_table_lookup" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x86cef180, "rdma_addr_size" },
	{ 0xe6f70b03, "ib_destroy_cm_id" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xf5dedb30, "rdma_node_get_transport" },
	{ 0x1b5652df, "configfs_unregister_subsystem" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xfec68747, "register_pernet_subsys" },
	{ 0xc5449d68, "trace_event_buffer_commit" },
	{ 0x7c631a3b, "ip_mc_inc_group" },
	{ 0x40fe97e8, "rdma_read_gid_attr_ndev_rcu" },
	{ 0xae94d39e, "ib_find_cached_pkey" },
	{ 0x92997ed8, "_printk" },
	{ 0x1fbd16da, "ip_tos2prio" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x6759ded1, "iw_cm_connect" },
	{ 0x184ae186, "rdma_restrack_add" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd5c1c54, "rdma_addr_cancel" },
	{ 0x9cd4c0c6, "trace_event_ignore_this_pid" },
	{ 0x14c53228, "ib_cm_notify" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xe82fb6cc, "ib_sa_get_mcmember_rec" },
	{ 0xc6cbbc89, "capable" },
	{ 0xda0d50ec, "ib_sa_cancel_query" },
	{ 0x6491dc0b, "ib_register_client" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xdad011e0, "ib_sa_path_rec_get" },
	{ 0xb2208e2a, "ib_create_cm_id" },
	{ 0xf41cb037, "__ip_mc_dec_group" },
	{ 0x3b30f80c, "vlan_dev_real_dev" },
	{ 0x42212bdb, "ib_sa_unregister_client" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0xe82b49c2, "perf_trace_run_bpf_submit" },
	{ 0x7615ab11, "ib_init_ah_from_mcmember" },
	{ 0x7d273a2f, "rdma_destroy_ah_attr" },
	{ 0x33e43eec, "ib_set_client_data" },
	{ 0xd0ec4112, "init_net" },
	{ 0x18dc35d4, "ib_get_cached_pkey" },
	{ 0x7685a1b9, "configfs_register_subsystem" },
	{ 0xd88107ec, "configfs_remove_default_groups" },
	{ 0x5b745a3d, "xa_load" },
	{ 0x55535765, "rdma_put_gid_attr" },
	{ 0xbcd50ccc, "config_group_init_type_name" },
	{ 0xfabddba5, "dev_get_by_index" },
	{ 0xe38e27ab, "iw_destroy_cm_id" },
	{ 0xa93d0679, "dev_get_by_index_rcu" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x9777c200, "ib_send_cm_rep" },
	{ 0xa40c7fd, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x90e807c7, "ib_cache_gid_parse_type_str" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x1614c30f, "iw_cm_disconnect" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0xf3df871f, "iwcm_reject_msg" },
	{ 0x74fc83dd, "bpf_trace_run1" },
	{ 0xbde5fbca, "ib_destroy_qp_user" },
	{ 0x8e67689d, "unregister_pernet_subsys" },
	{ 0x134ea875, "ib_cm_init_qp_attr" },
	{ 0x5655c1f5, "_dev_warn" },
	{ 0xd2010181, "ib_send_cm_drep" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x12d3f518, "rdma_restrack_set_name" },
	{ 0xa49f2b1a, "ib_get_net_dev_by_params" },
	{ 0x4e90435c, "ib_sa_free_multicast" },
	{ 0x9f6d5010, "ib_get_cached_port_state" },
	{ 0x1ae82b6f, "ib_send_cm_mra" },
	{ 0xcaeeb59a, "rdma_restrack_del" },
	{ 0xdef4232e, "ib_modify_qp" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x6c041e19, "__xa_insert" },
	{ 0x99ca74a6, "xa_erase" },
	{ 0x3c6bdf29, "bpf_trace_run3" },
	{ 0xf355db04, "__put_net" },
	{ 0xe618246d, "rdma_restrack_parent_name" },
	{ 0xfb7ba9ca, "iw_cm_accept" },
	{ 0x5c9d9b91, "trace_event_buffer_reserve" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xa3df4866, "config_item_put" },
	{ 0xe35fb609, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe9d887ea, "iw_cm_reject" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x69824a14, "ibcm_reject_msg" },
	{ 0xae0f4e67, "iw_cm_init_qp_attr" },
	{ 0x5ffb04be, "dst_release" },
	{ 0xfe732601, "ib_send_cm_rtu" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x77b94bbe, "ib_send_cm_dreq" },
	{ 0xa607f973, "ib_send_cm_req" },
	{ 0xb40e8643, "ib_create_qp_kernel" },
	{ 0xc4dc6a30, "ib_sa_join_multicast" },
	{ 0x3748e09c, "roce_gid_type_mask_support" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x70ceb9cc, "rdma_get_gid_attr" },
	{ 0xa8731641, "kmalloc_trace" },
	{ 0x23e94afa, "rdma_restrack_new" },
	{ 0xd081ba3f, "__fib_lookup" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0xaa418e57, "iw_cm_listen" },
	{ 0xeb4df6ca, "ib_send_cm_rej" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xac3c774, "rdma_copy_src_l2_addr" },
	{ 0xb8b8f9e1, "kmalloc_caches" },
	{ 0x64778265, "rdma_resolve_ip" },
	{ 0x1f479d24, "module_layout" },
};

MODULE_INFO(depends, "ib_cm,ib_core,iw_cm");


MODULE_INFO(srcversion, "9E3F3FD69C5D25059C7D16A");
MODULE_INFO(rhelversion, "9.7");
