#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip6_tnl_parse_tlv_enc_lim, "", "");
KSYMTAB_FUNC(ip6_tnl_get_cap, "", "");
KSYMTAB_FUNC(ip6_tnl_rcv_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_rcv, "", "");
KSYMTAB_FUNC(ip6_tnl_xmit_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_xmit, "", "");
KSYMTAB_FUNC(ip6_tnl_change_mtu, "", "");
KSYMTAB_FUNC(ip6_tnl_get_iflink, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_add_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_del_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_get_link_net, "", "");

SYMBOL_CRC(ip6_tnl_parse_tlv_enc_lim, 0x9275fa9f, "");
SYMBOL_CRC(ip6_tnl_get_cap, 0xaa42ba1c, "");
SYMBOL_CRC(ip6_tnl_rcv_ctl, 0x84a8c8c0, "_gpl");
SYMBOL_CRC(ip6_tnl_rcv, 0x177ee85d, "");
SYMBOL_CRC(ip6_tnl_xmit_ctl, 0x64f4dc0b, "_gpl");
SYMBOL_CRC(ip6_tnl_xmit, 0x15d8e3a0, "");
SYMBOL_CRC(ip6_tnl_change_mtu, 0xdb55ce47, "");
SYMBOL_CRC(ip6_tnl_get_iflink, 0xde0d2c5b, "");
SYMBOL_CRC(ip6_tnl_encap_add_ops, 0xb1f3d28d, "");
SYMBOL_CRC(ip6_tnl_encap_del_ops, 0x8df7ab1b, "");
SYMBOL_CRC(ip6_tnl_encap_setup, 0xdbe84e28, "_gpl");
SYMBOL_CRC(ip6_tnl_get_link_net, 0x6ff861ee, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6bdc39b8, "ip6tun_encaps" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x5eb2214d, "ipv6_chk_addr_and_flags" },
	{ 0xa93d0679, "dev_get_by_index_rcu" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0x4bef98f6, "register_pernet_device" },
	{ 0x8d4672c0, "xfrm6_tunnel_register" },
	{ 0x462cb729, "rtnl_link_register" },
	{ 0x5d797992, "xfrm6_tunnel_deregister" },
	{ 0x3b4e772c, "unregister_pernet_device" },
	{ 0xf00a075f, "nla_put" },
	{ 0x5dea6f61, "unregister_netdevice_queue" },
	{ 0xe04dfb1b, "rt6_lookup" },
	{ 0x5ffb04be, "dst_release" },
	{ 0xd71108fd, "__dev_get_by_index" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xb0050b1c, "ip_tunnel_header_ops" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0xd0ec4112, "init_net" },
	{ 0x969c01f8, "alloc_netdev_mqs" },
	{ 0xf6158b11, "register_netdev" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x236c8c64, "memcpy" },
	{ 0x27b084b7, "free_netdev" },
	{ 0xd5be5515, "rtnl_link_unregister" },
	{ 0x15cb9b53, "ip6_local_out" },
	{ 0x3750f386, "__get_hash_from_flowi6" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xe541f71, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x3bf2dfed, "gro_cells_init" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x8ac0b8ec, "__pskb_pull_tail" },
	{ 0x374ef7b9, "register_netdevice" },
	{ 0xe798236d, "jiffies" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3e903560, "ip_tunnel_netlink_encap_parms" },
	{ 0xb7da404c, "netdev_state_change" },
	{ 0x5838f84, "dst_cache_get" },
	{ 0xffde0d3d, "ip6_route_output_flags" },
	{ 0xcc0f95f7, "xfrm_lookup" },
	{ 0xe574ba33, "skb_scrub_packet" },
	{ 0xba1ffcd1, "skb_realloc_headroom" },
	{ 0x977225ea, "skb_set_owner_w" },
	{ 0x2dd767e3, "consume_skb" },
	{ 0xe6dc4e03, "ipv6_push_frag_opts" },
	{ 0xee1ae401, "skb_push" },
	{ 0xbdeb3e16, "ipv6_dev_get_saddr" },
	{ 0x90766737, "dst_cache_set_ip6" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3d23ea28, "skb_copy_bits" },
	{ 0xa5b23dba, "ip6_dst_hoplimit" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x37e2e17a, "neigh_destroy" },
	{ 0xc81acdda, "make_kuid" },
	{ 0xf281d661, "iptunnel_handle_offloads" },
	{ 0xf7f69239, "icmpv6_ndo_send" },
	{ 0x43935f1e, "icmp_ndo_send" },
	{ 0xf0d30d0f, "sk_skb_reason_drop" },
	{ 0xe825d51e, "ip6_redirect" },
	{ 0x2bb1349, "ip6_update_pmtu" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xeee6692c, "skb_clone" },
	{ 0x642d1bcc, "skb_pull" },
	{ 0x9eaec96d, "icmp6_send" },
	{ 0x6651b45e, "gro_cells_receive" },
	{ 0x6d85d9d9, "eth_type_trans" },
	{ 0x184278bf, "__xfrm_policy_check" },
	{ 0x57b31a53, "__iptunnel_pull_header" },
	{ 0xf86531be, "metadata_dst_alloc" },
	{ 0xf42426b9, "__skb_ext_del" },
	{ 0x782d7ad4, "ip_route_output_flow" },
	{ 0x6acd71b2, "ip_route_input_noref" },
	{ 0xb080f7f0, "__icmp_send" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0xf67bd2ef, "ns_capable" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0xd761ba68, "dev_get_tstats64" },
	{ 0x815df2db, "param_ops_bool" },
	{ 0x1f479d24, "module_layout" },
};

MODULE_INFO(depends, "tunnel6");


MODULE_INFO(srcversion, "1CC0D73DF1CAA7B2560AC81");
MODULE_INFO(rhelversion, "9.7");
