#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(wpan_phy_find, "", "");
KSYMTAB_FUNC(wpan_phy_for_each, "", "");
KSYMTAB_FUNC(wpan_phy_new, "", "");
KSYMTAB_FUNC(wpan_phy_register, "", "");
KSYMTAB_FUNC(wpan_phy_unregister, "", "");
KSYMTAB_FUNC(wpan_phy_free, "", "");
KSYMTAB_FUNC(ieee802154_hdr_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_pull, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_peek_addrs, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_peek, "_gpl", "");
KSYMTAB_FUNC(ieee802154_max_payload, "_gpl", "");

SYMBOL_CRC(wpan_phy_find, 0x0ed829ea, "");
SYMBOL_CRC(wpan_phy_for_each, 0x2675441d, "");
SYMBOL_CRC(wpan_phy_new, 0x378466e0, "");
SYMBOL_CRC(wpan_phy_register, 0xdbcd7692, "");
SYMBOL_CRC(wpan_phy_unregister, 0x263e2909, "");
SYMBOL_CRC(wpan_phy_free, 0x449eb7ba, "");
SYMBOL_CRC(ieee802154_hdr_push, 0xa2701f5c, "_gpl");
SYMBOL_CRC(ieee802154_hdr_pull, 0xaa975c6d, "_gpl");
SYMBOL_CRC(ieee802154_hdr_peek_addrs, 0x033a5b1f, "_gpl");
SYMBOL_CRC(ieee802154_hdr_peek, 0x4937b63b, "_gpl");
SYMBOL_CRC(ieee802154_max_payload, 0xbc82b3dd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xcad54ee8, "bpf_trace_run4" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xb16a6d61, "dev_set_name" },
	{ 0xcd9ad835, "trace_output_call" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x13c4a50d, "trace_raw_output_prep" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x93be5a49, "trace_event_printf" },
	{ 0xec159c95, "device_initialize" },
	{ 0x5a936a3d, "genlmsg_put" },
	{ 0xd169c69c, "trace_event_raw_init" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x777393bd, "bpf_trace_run2" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x6bf0bc5b, "event_triggers_call" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x29d5fff3, "get_device" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xe84b66ff, "netlink_broadcast_filtered" },
	{ 0x417e7b22, "device_rename" },
	{ 0xc5449d68, "trace_event_buffer_commit" },
	{ 0x1000e51, "schedule" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x91a8166c, "put_device" },
	{ 0x9cd4c0c6, "trace_event_ignore_this_pid" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xab25b838, "__alloc_skb" },
	{ 0xa65b100b, "class_for_each_device" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0xd71108fd, "__dev_get_by_index" },
	{ 0xe82b49c2, "perf_trace_run_bpf_submit" },
	{ 0xd0ec4112, "init_net" },
	{ 0x642d1bcc, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xa64453e, "device_add" },
	{ 0xf0d30d0f, "sk_skb_reason_drop" },
	{ 0xe430059d, "netlink_unicast" },
	{ 0xfabddba5, "dev_get_by_index" },
	{ 0xee1ae401, "skb_push" },
	{ 0xf00a075f, "nla_put" },
	{ 0xa40c7fd, "trace_event_reg" },
	{ 0x4f948566, "class_unregister" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x3b4e772c, "unregister_pernet_device" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x74fc83dd, "bpf_trace_run1" },
	{ 0x8f56c0e, "device_del" },
	{ 0x5a1f1023, "dev_set_mac_address" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x8ac0b8ec, "__pskb_pull_tail" },
	{ 0x28f0f12, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x3c6bdf29, "bpf_trace_run3" },
	{ 0xf355db04, "__put_net" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xd914513d, "get_net_ns_by_pid" },
	{ 0x5c9d9b91, "trace_event_buffer_reserve" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x5dd4d45d, "device_match_name" },
	{ 0x822a09f2, "dev_get_by_name" },
	{ 0x6f20e8a0, "nla_strscpy" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x55efd657, "genl_unregister_family" },
	{ 0xa8731641, "kmalloc_trace" },
	{ 0xfd60f345, "genl_register_family" },
	{ 0x99d2cb21, "__dev_change_net_namespace" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0x4bef98f6, "register_pernet_device" },
	{ 0x737f9215, "get_net_ns_by_fd" },
	{ 0x9ae66de9, "class_register" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xb8b8f9e1, "kmalloc_caches" },
	{ 0x1eff5f3d, "class_find_device" },
	{ 0x1f479d24, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "99460F196D17F01C50D913C");
MODULE_INFO(rhelversion, "9.7");
