#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ieee802154_alloc_hw, "", "");
KSYMTAB_FUNC(ieee802154_free_hw, "", "");
KSYMTAB_FUNC(ieee802154_register_hw, "", "");
KSYMTAB_FUNC(ieee802154_unregister_hw, "", "");
KSYMTAB_FUNC(ieee802154_rx_irqsafe, "", "");
KSYMTAB_FUNC(ieee802154_wake_queue, "", "");
KSYMTAB_FUNC(ieee802154_stop_queue, "", "");
KSYMTAB_FUNC(ieee802154_xmit_complete, "", "");

SYMBOL_CRC(ieee802154_alloc_hw, 0xef4ab742, "");
SYMBOL_CRC(ieee802154_free_hw, 0xc3ab5620, "");
SYMBOL_CRC(ieee802154_register_hw, 0x1609e89c, "");
SYMBOL_CRC(ieee802154_unregister_hw, 0xa389affd, "");
SYMBOL_CRC(ieee802154_rx_irqsafe, 0x48053eca, "");
SYMBOL_CRC(ieee802154_wake_queue, 0x1af4652b, "");
SYMBOL_CRC(ieee802154_stop_queue, 0x2612a8c6, "");
SYMBOL_CRC(ieee802154_xmit_complete, 0x3ab79b01, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x578897a, "crypto_skcipher_encrypt" },
	{ 0xbc82b3dd, "ieee802154_max_payload" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xcad54ee8, "bpf_trace_run4" },
	{ 0xf6bc3a8a, "skb_put" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x2dd767e3, "consume_skb" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x13c4a50d, "trace_raw_output_prep" },
	{ 0x57438fad, "skb_dequeue" },
	{ 0x93be5a49, "trace_event_printf" },
	{ 0xf76c02e8, "hrtimer_init" },
	{ 0x7ac6d222, "dev_alloc_name" },
	{ 0xd169c69c, "trace_event_raw_init" },
	{ 0x236c8c64, "memcpy" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xe6a9e6d2, "crypto_alloc_aead" },
	{ 0x777393bd, "bpf_trace_run2" },
	{ 0x8cc693e8, "netdev_warn" },
	{ 0x71c5707d, "crypto_aead_setauthsize" },
	{ 0xa8fbf050, "crypto_aead_decrypt" },
	{ 0x6bf0bc5b, "event_triggers_call" },
	{ 0x7e821ba1, "crc_ccitt" },
	{ 0x56c18ad6, "crypto_skcipher_setkey" },
	{ 0x5dea6f61, "unregister_netdevice_queue" },
	{ 0x33a5b1f, "ieee802154_hdr_peek_addrs" },
	{ 0x263e2909, "wpan_phy_unregister" },
	{ 0xc5449d68, "trace_event_buffer_commit" },
	{ 0x4e0f3116, "crypto_destroy_tfm" },
	{ 0x969c01f8, "alloc_netdev_mqs" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9cd4c0c6, "trace_event_ignore_this_pid" },
	{ 0xb453be27, "crypto_skcipher_decrypt" },
	{ 0xe23982c3, "skb_copy_expand" },
	{ 0x5af88338, "skb_queue_tail" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x8564b1bc, "crypto_aead_setkey" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0xe82b49c2, "perf_trace_run_bpf_submit" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xdbcd7692, "wpan_phy_register" },
	{ 0xf5540eaa, "crypto_aead_encrypt" },
	{ 0xf0d30d0f, "sk_skb_reason_drop" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xee1ae401, "skb_push" },
	{ 0x4937b63b, "ieee802154_hdr_peek" },
	{ 0x449eb7ba, "wpan_phy_free" },
	{ 0xdba3c2a4, "netif_receive_skb" },
	{ 0xa40c7fd, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x27b084b7, "free_netdev" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x74fc83dd, "bpf_trace_run1" },
	{ 0xaacb30e1, "netif_tx_wake_queue" },
	{ 0x5655c1f5, "_dev_warn" },
	{ 0x27e9ac7, "hrtimer_start_range_ns" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xaa975c6d, "ieee802154_hdr_pull" },
	{ 0xf8e2545a, "crypto_alloc_sync_skcipher" },
	{ 0x28f0f12, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x29ca65f7, "__dynamic_netdev_dbg" },
	{ 0xe798236d, "jiffies" },
	{ 0x3c6bdf29, "bpf_trace_run3" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x5c9d9b91, "trace_event_buffer_reserve" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x378466e0, "wpan_phy_new" },
	{ 0xeee6692c, "skb_clone" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x7c3cbabd, "hrtimer_cancel" },
	{ 0xa2701f5c, "ieee802154_hdr_push" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xa8731641, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x7f52fa50, "dev_kfree_skb_any_reason" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xb8b8f9e1, "kmalloc_caches" },
	{ 0x374ef7b9, "register_netdevice" },
	{ 0x1f479d24, "module_layout" },
};

MODULE_INFO(depends, "ieee802154");


MODULE_INFO(srcversion, "46960314F983F83CB5B47F0");
MODULE_INFO(rhelversion, "9.7");
