#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(synproxy_net_id, "_gpl", "");
KSYMTAB_FUNC(synproxy_parse_options, "_gpl", "");
KSYMTAB_FUNC(synproxy_init_timestamp_cookie, "_gpl", "");
KSYMTAB_FUNC(synproxy_send_client_synack, "_gpl", "");
KSYMTAB_FUNC(synproxy_recv_client_ack, "_gpl", "");
KSYMTAB_FUNC(ipv4_synproxy_hook, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv4_init, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv4_fini, "_gpl", "");
KSYMTAB_FUNC(synproxy_send_client_synack_ipv6, "_gpl", "");
KSYMTAB_FUNC(synproxy_recv_client_ack_ipv6, "_gpl", "");
KSYMTAB_FUNC(ipv6_synproxy_hook, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv6_init, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv6_fini, "_gpl", "");

SYMBOL_CRC(synproxy_net_id, 0xca9fc082, "_gpl");
SYMBOL_CRC(synproxy_parse_options, 0x7f649fbf, "_gpl");
SYMBOL_CRC(synproxy_init_timestamp_cookie, 0x1f099794, "_gpl");
SYMBOL_CRC(synproxy_send_client_synack, 0xbf5ead1e, "_gpl");
SYMBOL_CRC(synproxy_recv_client_ack, 0x4bb89287, "_gpl");
SYMBOL_CRC(ipv4_synproxy_hook, 0xc3434a43, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv4_init, 0x85d3d6d8, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv4_fini, 0xca7e8397, "_gpl");
SYMBOL_CRC(synproxy_send_client_synack_ipv6, 0xfbbee987, "_gpl");
SYMBOL_CRC(synproxy_recv_client_ack_ipv6, 0x5c3584ce, "_gpl");
SYMBOL_CRC(ipv6_synproxy_hook, 0x67b6a308, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv6_init, 0x389bc7f9, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv6_fini, 0x773692b6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xfec68747, "register_pernet_subsys" },
	{ 0x112af2f3, "seq_printf" },
	{ 0xb9e64923, "seq_puts" },
	{ 0x8e67689d, "unregister_pernet_subsys" },
	{ 0x5a6cb8ea, "nf_register_net_hooks" },
	{ 0x557b66f2, "nf_unregister_net_hooks" },
	{ 0x1a7866ac, "remove_proc_entry" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xbf9adffa, "security_skb_classify_flow" },
	{ 0xfbdde8c9, "__nf_ip6_route" },
	{ 0xf0d30d0f, "sk_skb_reason_drop" },
	{ 0xcc0f95f7, "xfrm_lookup" },
	{ 0x15cb9b53, "ip6_local_out" },
	{ 0x4fba8767, "skb_ensure_writable" },
	{ 0xd83e1eee, "inet_proto_csum_replace4" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0xcbc9c39, "nf_ct_tmpl_alloc" },
	{ 0xda75faea, "nf_ct_ext_add" },
	{ 0x55f2580b, "__alloc_percpu" },
	{ 0xb0d545d9, "proc_create_net_data" },
	{ 0xea7828a4, "nf_ct_tmpl_free" },
	{ 0x3d23ea28, "skb_copy_bits" },
	{ 0x5ed36e8, "ip_route_me_harder" },
	{ 0xbb029926, "ip_local_out" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0xab25b838, "__alloc_skb" },
	{ 0xf6bc3a8a, "skb_put" },
	{ 0xb6088146, "__cookie_v4_init_sequence" },
	{ 0xe31d93a3, "__cookie_v6_init_sequence" },
	{ 0xfdfefb5e, "__cookie_v4_check" },
	{ 0x66df0d36, "__cookie_v6_check" },
	{ 0x55611795, "ipv6_skip_exthdr" },
	{ 0xbf14c595, "nf_ct_seqadj_init" },
	{ 0x2dd767e3, "consume_skb" },
	{ 0x1f479d24, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "6C5B2F4F7E3F6A6980CE897");
MODULE_INFO(rhelversion, "9.7");
