#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__ovs_vport_ops_register, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_ops_unregister, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_alloc, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_free, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_link, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_tunnel_destroy, "_gpl", "");

SYMBOL_CRC(__ovs_vport_ops_register, 0xbb9b0b98, "_gpl");
SYMBOL_CRC(ovs_vport_ops_unregister, 0xa51d108e, "_gpl");
SYMBOL_CRC(ovs_vport_alloc, 0x922ed53c, "_gpl");
SYMBOL_CRC(ovs_vport_free, 0x5412fd02, "_gpl");
SYMBOL_CRC(ovs_netdev_link, 0xac363844, "_gpl");
SYMBOL_CRC(ovs_netdev_tunnel_destroy, 0xcfba86e9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xda75faea, "nf_ct_ext_add" },
	{ 0xa171c8b, "nsh_pop" },
	{ 0x9e84e2a4, "nf_conntrack_find_get" },
	{ 0x5eeccde, "nf_ct_set_timeout" },
	{ 0x3479a8bc, "dev_get_stats" },
	{ 0x9fa74dc9, "__nla_put" },
	{ 0x94fd7c47, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x1b96fcd1, "dev_fill_metadata_dst" },
	{ 0xcad54ee8, "bpf_trace_run4" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x32d31158, "nf_ct_handle_fragments" },
	{ 0xdc6dd9ab, "eth_mac_addr" },
	{ 0xf6bc3a8a, "skb_put" },
	{ 0xea57b851, "genl_notify" },
	{ 0xe68e14dd, "nsh_push" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x2dd767e3, "consume_skb" },
	{ 0xa3a5be95, "memmove" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x7a695753, "nf_ct_nat" },
	{ 0x3c7828cb, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6d14aec0, "skb_eth_pop" },
	{ 0x13c4a50d, "trace_raw_output_prep" },
	{ 0xa06a242e, "skb_gso_validate_mac_len" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0x9adb5177, "__nf_ct_try_assign_helper" },
	{ 0x86dd708d, "tc_skb_ext_tc_enable" },
	{ 0x19a5d378, "nf_ct_helper" },
	{ 0xf42426b9, "__skb_ext_del" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x93be5a49, "trace_event_printf" },
	{ 0xd9eafee, "rtnl_delete_link" },
	{ 0x462cb729, "rtnl_link_register" },
	{ 0xbbcc851f, "nf_connlabels_put" },
	{ 0x5a936a3d, "genlmsg_put" },
	{ 0x51eca5c4, "___pskb_trim" },
	{ 0xd169c69c, "trace_event_raw_init" },
	{ 0x236c8c64, "memcpy" },
	{ 0x8a7a772d, "psample_sample_packet" },
	{ 0x37a0cba, "kfree" },
	{ 0x76d1f0d5, "dev_set_promiscuity" },
	{ 0x14a29016, "nf_ct_destroy_timeout" },
	{ 0x5497584f, "nf_ct_add_helper" },
	{ 0x4c2ea7e4, "nf_conntrack_helper_put" },
	{ 0x7cb9d59e, "netlink_set_err" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xb4543daf, "nf_ct_skb_network_trim" },
	{ 0x6bf0bc5b, "event_triggers_call" },
	{ 0x5dea6f61, "unregister_netdevice_queue" },
	{ 0x3dadce20, "kmem_cache_create" },
	{ 0x6e6baaa3, "skb_pull_rcsum" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0x49672828, "node_states" },
	{ 0x32518a1c, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xe84b66ff, "netlink_broadcast_filtered" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x87d47c72, "pskb_expand_head" },
	{ 0x1bc606c6, "skb_csum_hwoffload_help" },
	{ 0xc5449d68, "trace_event_buffer_commit" },
	{ 0x494a0694, "nf_connlabels_replace" },
	{ 0x6d85d9d9, "eth_type_trans" },
	{ 0x969c01f8, "alloc_netdev_mqs" },
	{ 0x536897d0, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x2e0358d3, "nf_connlabels_get" },
	{ 0xff2d565c, "drop_reasons_unregister_subsys" },
	{ 0x3a77d9df, "netdev_rx_handler_unregister" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x9cd4c0c6, "trace_event_ignore_this_pid" },
	{ 0xcb7213b0, "skb_eth_push" },
	{ 0x32511a8c, "nf_conncount_count" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xab25b838, "__alloc_skb" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x2afa59b0, "kmem_cache_alloc" },
	{ 0x33952ff8, "skb_mpls_pop" },
	{ 0xb2496488, "skb_vlan_pop" },
	{ 0xc8040f68, "dst_init" },
	{ 0x94c1822a, "module_put" },
	{ 0x6ef84303, "kvmalloc_node" },
	{ 0xe541f71, "__alloc_percpu_gfp" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xa0d3d560, "ksize" },
	{ 0xe857eeaf, "__skb_get_hash_net" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0xd5be5515, "rtnl_link_unregister" },
	{ 0xe82b49c2, "perf_trace_run_bpf_submit" },
	{ 0xd0ec4112, "init_net" },
	{ 0x6ccc34dd, "sort" },
	{ 0x9798960e, "ipv6_stub" },
	{ 0x7527b999, "skb_mpls_update_lse" },
	{ 0x642d1bcc, "skb_pull" },
	{ 0x18fdc853, "__skb_get_hash_symmetric_net" },
	{ 0x4dea1053, "memchr" },
	{ 0xf0d30d0f, "sk_skb_reason_drop" },
	{ 0xe430059d, "netlink_unicast" },
	{ 0x9efa218d, "bpf_trace_run5" },
	{ 0xa93d0679, "dev_get_by_index_rcu" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xee1ae401, "skb_push" },
	{ 0x87fc0ec3, "kmem_cache_free" },
	{ 0xd8dd1497, "netdev_upper_dev_unlink" },
	{ 0xf00a075f, "nla_put" },
	{ 0xa40c7fd, "trace_event_reg" },
	{ 0x4fba8767, "skb_ensure_writable" },
	{ 0x27b084b7, "free_netdev" },
	{ 0x1441baf4, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xa965ca81, "reciprocal_value" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x3b4e772c, "unregister_pernet_device" },
	{ 0x2fa5a500, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xff16bd88, "ethtool_op_get_link" },
	{ 0xbfb9e7e2, "__nf_conntrack_confirm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xfe731af8, "nf_ct_invert_tuple" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0x20885763, "nf_nat_helper_put" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x8ac0b8ec, "__pskb_pull_tail" },
	{ 0x5779e62f, "nf_ct_delete" },
	{ 0xdea94ebc, "nf_conncount_init" },
	{ 0x3d919e4d, "skb_vlan_push" },
	{ 0xd761ba68, "dev_get_tstats64" },
	{ 0xe3a8500, "netif_rx" },
	{ 0x6e3c5062, "__netdev_alloc_skb" },
	{ 0xe5e57d82, "netdev_master_upper_dev_link" },
	{ 0x3fa15e21, "skb_zerocopy_headlen" },
	{ 0x267dd8e8, "drop_reasons_register_subsys" },
	{ 0x103bafd6, "down_read" },
	{ 0x9c129dc, "inet_proto_csum_replace16" },
	{ 0x28f0f12, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0xe574ba33, "skb_scrub_packet" },
	{ 0xc0c5502d, "nf_ct_deliver_cached_events" },
	{ 0x61be863f, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0x1cb8e35b, "skb_tx_error" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x278dd0e4, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x5c9d9b91, "trace_event_buffer_reserve" },
	{ 0x2c078284, "__skb_checksum" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xd83e1eee, "inet_proto_csum_replace4" },
	{ 0x79728aaa, "nf_conncount_destroy" },
	{ 0x55f2580b, "__alloc_percpu" },
	{ 0x66455d77, "skb_zerocopy" },
	{ 0xe35fb609, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x65e9a1c0, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x822a09f2, "dev_get_by_name" },
	{ 0xeee6692c, "skb_clone" },
	{ 0xf86531be, "metadata_dst_alloc" },
	{ 0x5ffb04be, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x5869ee43, "peernet2id_alloc" },
	{ 0x7b38653f, "nf_ct_get_tuplepr" },
	{ 0x6a5301a4, "netdev_rx_handler_register" },
	{ 0x2518ebfa, "ip_do_fragment" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x55efd657, "genl_unregister_family" },
	{ 0x6eda1150, "dev_disable_lro" },
	{ 0xa8731641, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0x7f52fa50, "dev_kfree_skb_any_reason" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xfd60f345, "genl_register_family" },
	{ 0xea7828a4, "nf_ct_tmpl_free" },
	{ 0xba1a370f, "netlink_has_listeners" },
	{ 0x332c029, "kmalloc_size_roundup" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0x7225d57, "__skb_gso_segment" },
	{ 0x555ccb97, "up_read" },
	{ 0xd5ba394c, "skb_mpls_push" },
	{ 0x4bef98f6, "register_pernet_device" },
	{ 0x9e57565a, "nf_conntrack_in" },
	{ 0xcc3f54e5, "net_rwsem" },
	{ 0x7dc5ffa7, "tc_skb_ext_tc_disable" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x3832522f, "__crc32c_le_shift" },
	{ 0xb8b8f9e1, "kmalloc_caches" },
	{ 0x1e849bd7, "kmem_cache_alloc_node" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x525edf18, "kmem_cache_destroy" },
	{ 0x934060fd, "__skb_vlan_pop" },
	{ 0xcbc9c39, "nf_ct_tmpl_alloc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x374ef7b9, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x1f479d24, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nf_nat,psample,nf_conncount,libcrc32c");


MODULE_INFO(srcversion, "E18D1DA92273EA1EDC8C024");
MODULE_INFO(rhelversion, "9.7");
